Subject: bug#29326: 26.0.90; Emacs crash on running comment-dwim

From: Kaushal Modi <[email-masked]>
Date: Fri, 17 Nov 2017 18:18:51 +0000

On Fri, Nov 17, 2017 at 1:16 PM Noam Postavsky <
[email-masked]> wrote:

> You probably just need to do
>
>    source src/.gdbinit
>
> first.  See also "Configuring GDB" in etc/DEBUG.
>

Yes, I realized that.. a bit late.. I already killed that gdb session and
started emacs rebuild.

While that was going on, I happened to read:

> It is important for the directory ‘src’ to be current so that GDB will
read the
     ‘.gdbinit’ file in this directory.

in (emacs) Checklist (from here:
https://lists.gnu.org/archive/html/bug-gnu-emacs/2009-07/msg00178.html ).

Lesson learned: "gdb ./src/emacs" is not the same as "cd src; gdb ./emacs".

-- 

Kaushal Modi